
Foreman - Bug #14540

rake-apipie:cache:index fails: ActionView::MissingTemplate: Missing template

../../layouts/apipie/apipie

04/07/2016 11:19 PM - Dylan Baars

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Attempting to install Katello 3.0RC, using the following repositories

yum -y localinstall https://fedorapeople.org/groups/katello/releases/yum/3.0/katello/el7/x86_64/katello-repos-latest.rpm

yum -y localinstall http://yum.theforeman.org/releases/1.11/el7/x86_64/foreman-release.rpm

yum -y localinstall http://yum.puppetlabs.com/puppetlabs-release-el-7.noarch.rpm

yum -y localinstall http://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

yum -y install foreman-release-scl

and running foreman-installer --scenario katello

fails, with the following in the katello.log

[DEBUG 2016-04-08 14:56:58 main]  Exec[foreman-rake-apipie:cache:index](provider=posix): Executing '/usr/sbin/foreman-rake

apipie:cache:index'

[DEBUG 2016-04-08 14:56:58 main]  Executing '/usr/sbin/foreman-rake apipie:cache:index'

[ WARN 2016-04-08 14:59:11 main] 

/Stage[main]/Foreman::Database/Foreman::Rake[apipie:cache:index]/Exec[foreman-rake-apipie:cache:index]/returns:

/opt/theforeman/tfm/root/usr/share/gems/gems/docker-api-1.17.0/lib/docker.rb:103: warning: circular argument reference - connection

[ WARN 2016-04-08 14:59:13 main] 

/Stage[main]/Foreman::Database/Foreman::Rake[apipie:cache:index]/Exec[foreman-rake-apipie:cache:index]/returns: Apipie cache

enabled but not present yet. Run apipie:cache rake task to speed up API calls.

[ WARN 2016-04-08 14:59:13 main] 

/Stage[main]/Foreman::Database/Foreman::Rake[apipie:cache:index]/Exec[foreman-rake-apipie:cache:index]/returns: rake aborted!

[ WARN 2016-04-08 14:59:14 main] 

/Stage[main]/Foreman::Database/Foreman::Rake[apipie:cache:index]/Exec[foreman-rake-apipie:cache:index]/returns:

ActionView::MissingTemplate: Missing template ../../layouts/apipie/apipie with {:locale=>[:en], :formats=>[:html], :variants=>[],

:handlers=>[:erb, :builder, :raw, :ruby, :rabl]}. Searched in:

[ WARN 2016-04-08 14:59:14 main] 

/Stage[main]/Foreman::Database/Foreman::Rake[apipie:cache:index]/Exec[foreman-rake-apipie:cache:index]/returns:   *

"/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.5/app/views/apipie/apipies"

This seems related to http://projects.theforeman.org/issues/13710

Installing tfm-rubygem-apipie-rails-0.3.6-1.el7.noarch.rpm from http://yum.theforeman.org/releases/nightly/el7/x86_64/

and re-running 'foreman-installer --scenario katello' the installation succeeds

Related issues:

Related to Foreman - Bug #13710: apipie:cache fails with Missing template ../... Closed 02/15/2016

History

#1 - 04/08/2016 03:13 AM - Dominic Cleal

- Subject changed from New installation of Katello 3.0RC on a clean system (i.e. not upgrading) fails to rake-apipie:cache:index fails:

ActionView::MissingTemplate: Missing template ../../layouts/apipie/apipie

- Category set to Packaging
- Status changed from New to Closed

- Assignee set to Dominic Cleal

- translation missing: en.field_release set to 141

Thanks for the report, I've retagged the package for inclusion in the next 1.11 update.

#2 - 04/08/2016 03:19 AM - Dominic Cleal

- Related to Bug #13710: apipie:cache fails with Missing template ../../layouts/apipie/apipie added
